> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Themeforest Comments

> This endpoint is used to fetch comments from a themeforest item specified by its query name.



## OpenAPI

````yaml POST /themeforest-comments/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /themeforest-comments/reviews:
    post:
      description: >-
        This endpoint is used to fetch comments from a themeforest item
        specified by its query name.
      requestBody:
        description: Themeforest comments scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThemeforestCommentsRequest'
        required: true
      responses:
        '200':
          description: Comments fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemeforestCommentsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    ThemeforestCommentsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper item URL or item_id.
        sort_type:
          type: string
          description: Order in which comments should be sorted
          enum:
            - newest
            - oldest
          default: newest
        reviews_to_fetch:
          type: number
          description: >-
            Number of comments to fetch (default: all comments, or within
            30-second timeout)
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    ThemeforestCommentsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched comments
          items:
            type: object
            properties:
              author_lable:
                type:
                  - string
                  - 'null'
                description: Label of the comment author if available
              author_name:
                type: string
                description: Name of the comment author
              author_profile_image_url:
                type: string
                description: URL to the author's profile image
              author_profile_url:
                type: string
                description: URL to the author's profile
              query:
                type: string
                description: Original query URL
              review_date:
                type: string
                description: Date when the comment was posted
              review_id:
                type: string
                description: ID of the comment
              review_replies:
                type: array
                description: Replies to the comment
                items:
                  type: object
                  properties:
                    author_lable:
                      type:
                        - string
                        - 'null'
                      description: Label of the reply author if available
                    author_name:
                      type: string
                      description: Name of the reply author
                    author_profile_image_url:
                      type: string
                      description: URL to the reply author's profile image
                    author_profile_url:
                      type: string
                      description: URL to the reply author's profile
                    reply_text:
                      type: string
                      description: Content of the reply
                    review_date:
                      type: string
                      description: Date when the reply was posted
                    review_id:
                      type: string
                      description: ID of the reply
                    review_url:
                      type: string
                      description: URL to the reply
              review_text:
                type: string
                description: Content of the comment
              review_unique_id:
                type: string
                description: Unique identifier for the comment
              review_url:
                type: string
                description: URL to the comment
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the item
              properties:
                aggregate_rating:
                  type:
                    - number
                    - 'null'
                  description: Average rating of the item if available
                author_name:
                  type: string
                  description: Name of the item author
                author_profile_url:
                  type: string
                  description: URL to the item author's profile
                community_badges:
                  type: array
                  items:
                    type: string
                  description: Badges earned by the author
                highlights:
                  type: array
                  items:
                    type: string
                  description: Highlighted features of the item
                license_details:
                  type: array
                  items:
                    type: object
                    properties:
                      license_discription:
                        type: string
                        description: Description of the license
                      license_price:
                        type: string
                        description: Price of the license
                      license_type:
                        type: string
                        description: Type of license
                  description: Details about available licenses
                meta_details:
                  type: object
                  description: Various metadata about the item
                review_count:
                  type:
                    - string
                    - 'null'
                  description: Number of reviews for the item if available
                sales_count:
                  type: string
                  description: Number of sales for the item
                title:
                  type: string
                  description: Title of the item
            total_review_count:
              type: integer
              description: Total number of comments fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of comment counts
        message:
          type: string
          description: Status message about the comment extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````